Module java.management
Package javax.management.loading

# Class MLetContent

java.lang.Object
javax.management.loading.MLetContent

@Deprecated(since="20", forRemoval=true) public class MLetContent extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
This API is part of Management Applets (m-lets), which is a legacy feature that allows loading of remote MBeans. This feature is not usable without a Security Manager, which is deprecated and subject to removal in a future release. Consequently, this API is also deprecated and subject to removal. There is no replacement.
This class represents the contents of the `MLET` tag. It can be consulted by a subclass of `MLet` that overrides the `MLet.check` method.

Since:
  1.6

## Constructor Summary

Constructors
Constructor
Description
`MLetContent(URL url, Map<String,String> attributes, List<String> types, List<String> values)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates an `MLet` instance initialized with attributes read from an `MLET` tag in an MLet text file.

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getAttributes()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the attributes of the `MLET` tag.
`String`
`getCode()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `CODE` attribute of the `MLET` tag.
`URL`
`getCodeBase()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the code base URL.
`URL`
`getDocumentBase()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the MLet text file's base URL.
`String`
`getJarFiles()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the list of `.jar` files specified by the `ARCHIVE` attribute of the `MLET` tag.
`String`
`getName()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `NAME` attribute of the `MLET` tag.
`List<String>`
`getParameterTypes()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the list of values of the `TYPE` attribute in each nested <PARAM> tag within the `MLET` tag.
`List<String>`
`getParameterValues()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the list of values of the `VALUE` attribute in each nested <PARAM> tag within the `MLET` tag.
`String`
`getSerializedObject()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `OBJECT` attribute of the `MLET` tag.
`String`
`getVersion()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `VERSION` attribute of the `MLET` tag.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MLetContent

public MLetContent(URL url, Map<String,String> attributes, List<String> types, List<String> values)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates an `MLet` instance initialized with attributes read from an `MLET` tag in an MLet text file.

Parameters:
  `url` - The URL of the MLet text file containing the `MLET` tag.
  `attributes` - A map of the attributes of the `MLET` tag. The keys in this map are the attribute names in lowercase, for example `codebase`. The values are the associated attribute values.
  `types` - A list of the TYPE attributes that appeared in nested <PARAM> tags.
  `values` - A list of the VALUE attributes that appeared in nested <PARAM> tags.

## Method Details

### getAttributes

public Map<String,String> getAttributes()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the attributes of the `MLET` tag. The keys in the returned map are the attribute names in lowercase, for example `codebase`. The values are the associated attribute values.

Returns:
  A map of the attributes of the `MLET` tag and their values.

### getDocumentBase

public URL getDocumentBase()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the MLet text file's base URL.

Returns:
  The MLet text file's base URL.

### getCodeBase

public URL getCodeBase()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the code base URL.

Returns:
  The code base URL.

### getJarFiles

public String getJarFiles()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the list of `.jar` files specified by the `ARCHIVE` attribute of the `MLET` tag.

Returns:
  A comma-separated list of `.jar` file names.

### getCode

public String getCode()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `CODE` attribute of the `MLET` tag.

Returns:
  The value of the `CODE` attribute of the `MLET` tag.

### getSerializedObject

public String getSerializedObject()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `OBJECT` attribute of the `MLET` tag.

Returns:
  The value of the `OBJECT` attribute of the `MLET` tag.

### getName

public String getName()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `NAME` attribute of the `MLET` tag.

Returns:
  The value of the `NAME` attribute of the `MLET` tag.

### getVersion

public String getVersion()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the value of the `VERSION` attribute of the `MLET` tag.

Returns:
  The value of the `VERSION` attribute of the `MLET` tag.

### getParameterTypes

public List<String> getParameterTypes()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the list of values of the `TYPE` attribute in each nested <PARAM> tag within the `MLET` tag.

Returns:
  the list of types.

### getParameterValues

public List<String> getParameterValues()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the list of values of the `VALUE` attribute in each nested <PARAM> tag within the `MLET` tag.

Returns:
  the list of values.